# DateValidationConfiguration class

Date validation configuration. This configuration element does not enable the scanning of any document types by itself. Add to recognizer configuration to require date validation checks for specific document types.

Inheritance
  - Object
  - DocumentDataExtractorConfigurationElement
  - DateValidationConfiguration

## Constructors

DateValidationConfiguration.new({int minYear = 0, int maxYear = 2999, required String fieldTypeName})
DateValidationConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

fieldTypeName ↔ String
  Name, FullName, or NormalizedName of field type for which the year bounds should be applied.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
maxYear ↔ int
  Maximum year that is considered valid.
  getter/setter pair
minYear ↔ int
  Minimum year that is considered valid.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited